# Create Draft (/api-reference/create-draft)

<!-- agent-signals: reading_time_min: 4 · est_tokens: 2614 · updated: 2026-09-06 -->
Related: [List Inboxes](/api-reference/list-inboxes.md), [Create Inbox](/api-reference/create-inbox.md), [Get Inbox](/api-reference/get-inbox.md), [Update Inbox](/api-reference/update-inbox.md), [Delete Inbox](/api-reference/delete-inbox.md), [List Pods](/api-reference/list-pods.md)

# Create Draft

`POST /v0/inboxes/{inbox_id}/drafts`

Create Draft

## OpenAPI

```json
{
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "parameters": [
    {
      "name": "inbox_id",
      "in": "path",
      "required": true,
      "schema": {
        "title": "inboxesInboxId",
        "type": "string",
        "description": "ID of inbox."
      }
    }
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "title": "CreateDraftRequest",
          "type": "object",
          "properties": {
            "labels": {
              "title": "DraftLabels",
              "type": "array",
              "items": {
                "type": "string"
              },
              "description": "Labels of draft."
            },
            "reply_to": {
              "title": "DraftReplyTo",
              "type": "array",
              "items": {
                "type": "string"
              },
              "description": "Reply-to addresses. In format `username@domain.com` or `Display Name <username@domain.com>`."
            },
            "to": {
              "title": "DraftTo",
              "type": "array",
              "items": {
                "type": "string"
              },
              "description": "Addresses of recipients. In format `username@domain.com` or `Display Name <username@domain.com>`."
            },
            "cc": {
              "title": "DraftCc",
              "type": "array",
              "items": {
                "type": "string"
              },
              "description": "Addresses of CC recipients. In format `username@domain.com` or `Display Name <username@domain.com>`."
            },
            "bcc": {
              "title": "DraftBcc",
              "type": "array",
              "items": {
                "type": "string"
              },
              "description": "Addresses of BCC recipients. In format `username@domain.com` or `Display Name <username@domain.com>`."
            },
            "subject": {
              "title": "DraftSubject",
              "type": "string",
              "description": "Subject of draft."
            },
            "text": {
              "title": "DraftText",
              "type": "string",
              "description": "Plain text body of draft."
            },
            "html": {
              "title": "DraftHtml",
              "type": "string",
              "description": "HTML body of draft."
            },
            "in_reply_to": {
              "title": "DraftInReplyTo",
              "type": "string",
              "description": "ID of message being replied to."
            },
            "send_at": {
              "title": "DraftSendAt",
              "type": "string",
              "format": "date-time",
              "description": "Time at which to schedule send draft."
            },
            "client_id": {
              "title": "DraftClientId",
              "type": "string",
              "description": "Client ID of draft."
            }
          }
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "",
      "content": {
        "application/json": {
          "schema": {
            "title": "Draft",
            "type": "object",
            "properties": {
              "inbox_id": {
                "title": "inboxesInboxId",
                "type": "string",
                "description": "ID of inbox."
              },
              "thread_id": {
                "title": "ThreadId",
                "type": "string",
                "description": "ID of thread."
              },
              "draft_id": {
                "title": "DraftId",
                "type": "string",
                "description": "ID of draft."
              },
              "client_id": {
                "title": "DraftClientId",
                "type": "string",
                "description": "Client ID of draft."
              },
              "labels": {
                "title": "DraftLabels",
                "type": "array",
                "items": {
                  "type": "string"
                },
                "description": "Labels of draft."
              },
              "reply_to": {
                "title": "DraftReplyTo",
                "type": "array",
                "items": {
                  "type": "string"
                },
                "description": "Reply-to addresses. In format `username@domain.com` or `Display Name <username@domain.com>`."
              },
              "to": {
                "title": "DraftTo",
                "type": "array",
                "items": {
                  "type": "string"
                },
                "description": "Addresses of recipients. In format `username@domain.com` or `Display Name <username@domain.com>`."
              },
              "cc": {
                "title": "DraftCc",
                "type": "array",
                "items": {
                  "type": "string"
                },
                "description": "Addresses of CC recipients. In format `username@domain.com` or `Display Name <username@domain.com>`."
              },
              "bcc": {
                "title": "DraftBcc",
                "type": "array",
                "items": {
                  "type": "string"
                },
                "description": "Addresses of BCC recipients. In format `username@domain.com` or `Display Name <username@domain.com>`."
              },
              "subject": {
                "title": "DraftSubject",
                "type": "string",
                "description": "Subject of draft."
              },
              "preview": {
                "title": "DraftPreview",
                "type": "string",
                "description": "Text preview of draft."
              },
              "text": {
                "title": "DraftText",
                "type": "string",
                "description": "Plain text body of draft."
              },
              "html": {
                "title": "DraftHtml",
                "type": "string",
                "description": "HTML body of draft."
              },
              "attachments": {
                "title": "DraftAttachments",
                "type": "array",
                "items": {
                  "title": "Attachment",
                  "type": "object",
                  "properties": {
                    "attachment_id": {
                      "title": "AttachmentId",
                      "type": "string",
                      "description": "ID of attachment."
                    },
                    "filename": {
                      "title": "AttachmentFilename",
                      "type": "string",
                      "description": "Filename of attachment."
                    },
                    "size": {
                      "title": "AttachmentSize",
                      "type": "integer",
                      "description": "Size of attachment in bytes."
                    },
                    "content_type": {
                      "title": "AttachmentContentType",
                      "type": "string",
                      "description": "Content type of attachment."
                    },
                    "content_disposition": {
                      "title": "AttachmentContentDisposition",
                      "type": "string",
                      "enum": [
                        "inline",
                        "attachment"
                      ],
                      "description": "Content disposition of attachment."
                    },
                    "content_id": {
                      "title": "AttachmentContentId",
                      "type": "string",
                      "description": "Content ID of attachment."
                    }
                  },
                  "required": [
                    "attachment_id",
                    "size"
                  ]
                },
                "description": "Attachments in draft."
              },
              "in_reply_to": {
                "title": "DraftInReplyTo",
                "type": "string",
                "description": "ID of message being replied to."
              },
              "references": {
                "type": "array",
                "items": {
                  "type": "string"
                },
                "nullable": true,
                "description": "IDs of previous messages in thread."
              },
              "send_status": {
                "title": "DraftSendStatus",
                "type": "string",
                "enum": [
                  "scheduled",
                  "sending",
                  "failed"
                ],
                "description": "Schedule send status of draft."
              },
              "send_at": {
                "title": "DraftSendAt",
                "type": "string",
                "format": "date-time",
                "description": "Time at which to schedule send draft."
              },
              "updated_at": {
                "title": "DraftUpdatedAt",
                "type": "string",
                "format": "date-time",
                "description": "Time at which draft was last updated."
              },
              "created_at": {
                "type": "string",
                "format": "date-time",
                "description": "Time at which draft was created."
              }
            },
            "required": [
              "inbox_id",
              "thread_id",
              "draft_id",
              "labels",
              "updated_at",
              "created_at"
            ]
          }
        }
      }
    },
    "404": {
      "description": "",
      "content": {
        "application/json": {
          "schema": {
            "title": "ErrorResponse",
            "type": "object",
            "properties": {
              "name": {
                "title": "ErrorName",
                "type": "string",
                "description": "Name of error."
              },
              "message": {
                "type": "string",
                "description": "Error message."
              }
            },
            "required": [
              "name",
              "message"
            ]
          }
        }
      }
    }
  }
}
```
